package com.caimei365.tools.mapper;

import com.caimei365.tools.model.po.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/11/2
 */
@Mapper
public interface CmBehaviorRecordMapper {

    /**
     * 用户行为记录
     * @param cmBehaviorRecordPo
     * @return
     */
    void insertRecord(CmBehaviorRecordPo cmBehaviorRecordPo);

    /**
     * 当天访问网站IP、userId
     * @param cmBehaviorRecordPo
     */
    List<CmBehaviorRecordPo> toDateRecode(CmBehaviorRecordPo cmBehaviorRecordPo);

    /**
     * 当天访问网站IP、userId的详细数据
     * @param cmBehaviorRecordPo
     */
    List<CmBehaviorRecordPo> toDateIPTimeRecode(CmBehaviorRecordPo cmBehaviorRecordPo);

    /**
     * 计算真是访问时长
     * @param cmBehaviorRecordPo
     */
    void updateDuration(CmBehaviorRecordPo cmBehaviorRecordPo);

    /**
     * 查询所有老数据
     * @return
     */
    List<CmBehaviorRecordPo> findList(@Param("startId") Integer startId, @Param("endId") Integer endId);

    /**
     * 修改老数据ip所在地
     * @param cmBehaviorRecordPo
     */
    void updateOldData(CmBehaviorRecordPo cmBehaviorRecordPo);

    List<CmVipCouponPo> selSvipCoupon(@Param("startTime") String startTime, @Param("endTime") String endTime);

    void updateSvipCoupon(CmVipCouponPo cmVipCouponPo);

    void insertVipCouponMonth(CmVipCouponPo cmVipCouponPo);

    List<CmCouponPo> selCoupon();

    void updateCoupon(CmCouponPo cmCouponPo);

    void insertCoupon(CmCouponPo cmCouponPo);

    Integer selById();

    List<CmCouponAssociatePo> selCouponPro(@Param("couponId") String couponId);

    void insertCouponAssociate(CmCouponAssociatePo associate);

    Integer selSvipCouponById();

    void insertRelation(CmVipCouponRelation cmVipCouponRelation);

    List<CmBehaviorRecordPo> countNum(@Param("accessDate") String accessDate);

    CmBehaviorRecordPo userIdAcc(@Param("IP") String IP, @Param("accessDate") String accessDate);

    List<CmBehaviorRecordPo> selBehaviorList(@Param("IP") String IP, @Param("accessDate") String accessDate);

    void updateBehavior(CmBehaviorRecordPo cmBehaviorRecordPo);

    void selYesterdayList( @Param("accessDate") String accessDate);
}

