package com.caimei365.tools.mapper;

import com.caimei365.tools.model.po.CmOrganValueSystemPo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/10/24
 */
@Mapper
public interface CmOrganValueSystemMapper {
    /**
     * 新增用户
    */
    List<Integer> newAdd();

    /**
     * 活跃用户
     * @return
     */
    List<Integer> active();

    /**
     * 不活跃用户
     * @return
     */
    List<Integer> inactive();

    /**
     * 流失用户
     * @return
     */
    List<Integer> loss();

    /**
     * 回流用户
     * @return
     */
    List<Integer> backflow();

    /**
     * 忠诚用户
     * @return
     */
    List<Integer> loyal();

    /**
     * 沉默用户
     * @return
     */
    List<Integer> silent();

    /**
     * 用户价值
     * @return
     */
    List<CmOrganValueSystemPo> customerValue();

    /**
     * 修改旧数据
     */
    void updateOrgan();
    /**
     * 批量插入
     * @param organList
     */
    void organBatch(CmOrganValueSystemPo organList);
}
