package com.caimei365.tools.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/6/17
 */
@ApiModel("发送消息接收参数")
@Data
@Accessors(fluent = true)
public class MessageDto implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 消息主题
     */
    @NotNull
    @ApiModelProperty("消息主题")
    private String topic;
    /**
     * 消息内容
     */
    @NotNull
    @ApiModelProperty("消息内容")
    private String content;
    /**
     * 消息标签(可选)
     */
    @ApiModelProperty("消息标签(可选)")
    private String tag;
    /**
     * 有序消息(可选)
     */
    @ApiModelProperty("有序消息(可选)：1是，0否")
    private Integer sort;
    /**
     * 异步消息(可选)
     */
    @ApiModelProperty("异步消息(可选)：1是，0否")
    private Integer async;
    /**
     * 单向消息(可选)
     */
    @ApiModelProperty("单向消息(可选)：1是，0否")
    private Integer oneway;
    /**
     * 延时消息(可选)
     */
    @ApiModelProperty("延时消息(可选),延时等级：1-18，0否，对应时间依次：1s 5s 10s 30s 1m 2m 3m 4m 5m 6m 7m 8m 9m 10m 20m 30m 1h 2h")
    private Integer delay;

    public String getTopic() {
        return topic;
    }

    public void setTopic(String topic) {
        this.topic = topic;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getAsync() {
        return async;
    }

    public void setAsync(Integer async) {
        this.async = async;
    }

    public Integer getOneway() {
        return oneway;
    }

    public void setOneway(Integer oneway) {
        this.oneway = oneway;
    }

    public Integer getDelay() {
        return delay;
    }

    public void setDelay(Integer delay) {
        this.delay = delay;
    }
}
