package com.caimei365.tools.model.dto.message;

import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author Administrator
 * 站内信model
 */
@Data
@Accessors(fluent = true)
public class InsideMessage implements Serializable {

    /**
     * 消息id
     */
    private Integer id;
    /**
     * 供应商id
     */
    private Integer shopId;
    /**
     * 机构id
     */
    private Integer clubId;
    /**
     * 订单ID
     */
    private Integer orderId;
    /**
     * 用户类型1.机构2.供应商
     */
    private Integer userType;
    /**
     * 消息类型1.交易物流2.账户通知3.服务通知4.优惠促销
     */
    private Integer messageType;
    /**
     * 消息内容
     */
    private String content;
    /**
     * 操作完成时间
     */
    private String time;
    /**
     * 账户通知类型 1.注册成功通知 2.购买超级会员成功 3.超级会员到期提醒 4.超级会员到期提醒 5.升级资质机构成功 6.升级资质机构失败 7.成为机构运营人员通知
     */
    private Integer accountType;
    /**
     * 优惠券类型 1.优惠券待领取通知 2.优惠券过期通知
     */
    private Integer couponType;
    /**
     * 优惠券金额
     */
    private Double couponFee;
    /**
     * 主图
     */
    private String mainImage;
    /**
     * 是否能走线上支付 0可以 1不可以 只能线下
     */
    private Integer onlinePayFlag;
    /**
     * 商品名称
     */
    private String productName;
    /**
     * 供应商消息类型 1,账号审核通知,2.成为公司运营人员通知,3.商品上架审核通知,4.新品展示审核通知,5.上架费到期通知 6.商品资质到期通知
     */
    private Integer shopMessType;
    /**
     * 供应商服务消息类型 1.上架费
     */
    private Integer shopTieredType;
    /**
     * 交易物流1.下单成功通知  2.订单支付完成 3.退款/货成功通知 4.订单取消通知 5.订单发货通知 6.自动收货通知
     */
    private Integer orderMessageType;
    /**
     * 0.未读 , 1.已读
     */
    private Integer saved;
    /**
     * 优惠券类型 1.优惠券待领取通知 2.优惠券过期通知
     */
    private Integer couponMessageType;
    /**
     * 商品记录数
     */
    private Integer productCount;
    /**
     * 退货退款类型：1部分退、2全部退
     */
    private Integer refundType;

    /**
     * 订单状态
     */
    private Integer status;
    /**
     * 商品ID
     */
    private Integer productId;

    /**
     * 供应商公司名称
     */
    private String shopName;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getShopId() {
        return shopId;
    }

    public void setShopId(Integer shopId) {
        this.shopId = shopId;
    }

    public Integer getClubId() {
        return clubId;
    }

    public void setClubId(Integer clubId) {
        this.clubId = clubId;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public Integer getUserType() {
        return userType;
    }

    public void setUserType(Integer userType) {
        this.userType = userType;
    }

    public Integer getMessageType() {
        return messageType;
    }

    public void setMessageType(Integer messageType) {
        this.messageType = messageType;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public Integer getAccountType() {
        return accountType;
    }

    public void setAccountType(Integer accountType) {
        this.accountType = accountType;
    }

    public Integer getCouponType() {
        return couponType;
    }

    public void setCouponType(Integer couponType) {
        this.couponType = couponType;
    }

    public Double getCouponFee() {
        return couponFee;
    }

    public void setCouponFee(Double couponFee) {
        this.couponFee = couponFee;
    }

    public String getMainImage() {
        return mainImage;
    }

    public void setMainImage(String mainImage) {
        this.mainImage = mainImage;
    }

    public Integer getOnlinePayFlag() {
        return onlinePayFlag;
    }

    public void setOnlinePayFlag(Integer onlinePayFlag) {
        this.onlinePayFlag = onlinePayFlag;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public Integer getShopMessType() {
        return shopMessType;
    }

    public void setShopMessType(Integer shopMessType) {
        this.shopMessType = shopMessType;
    }

    public Integer getShopTieredType() {
        return shopTieredType;
    }

    public void setShopTieredType(Integer shopTieredType) {
        this.shopTieredType = shopTieredType;
    }

    public Integer getOrderMessageType() {
        return orderMessageType;
    }

    public void setOrderMessageType(Integer orderMessageType) {
        this.orderMessageType = orderMessageType;
    }

    public Integer getSaved() {
        return saved;
    }

    public void setSaved(Integer saved) {
        this.saved = saved;
    }

    public Integer getCouponMessageType() {
        return couponMessageType;
    }

    public void setCouponMessageType(Integer couponMessageType) {
        this.couponMessageType = couponMessageType;
    }

    public Integer getProductCount() {
        return productCount;
    }

    public void setProductCount(Integer productCount) {
        this.productCount = productCount;
    }

    public Integer getRefundType() {
        return refundType;
    }

    public void setRefundType(Integer refundType) {
        this.refundType = refundType;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getProductId() {
        return productId;
    }

    public void setProductId(Integer productId) {
        this.productId = productId;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }
}
