package com.caimei365.tools.service.impl;

import com.caimei365.tools.mapper.CmOrganValueSystemMapper;
import com.caimei365.tools.model.po.CmOrganValueSystemPo;
import com.caimei365.tools.service.CmOrganValueSystemService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/10/24
 */
@Slf4j
@Service
public class CmOrganValueSystemServiceImpl implements CmOrganValueSystemService {

    @Resource private CmOrganValueSystemMapper cmOrganValueSystemMapper;


    @Override
    public void insertOrgan() {

        List<CmOrganValueSystemPo> list = new ArrayList();
        // 新增用户
        List<Integer> newAdd = cmOrganValueSystemMapper.newAdd();
        // 活跃用户
        List<Integer> active = cmOrganValueSystemMapper.active();
        // 不活跃用户
        List<Integer> inactive = cmOrganValueSystemMapper.inactive();
        // 流失用户
        List<Integer> loss = cmOrganValueSystemMapper.loss();
        // 回流用户
        List<Integer> backflow = cmOrganValueSystemMapper.backflow();
        // 忠诚用户
        List<Integer> loyal = cmOrganValueSystemMapper.loyal();
        // 沉默用户
        List<Integer> silent = cmOrganValueSystemMapper.silent();
        // 客户价值
        List<CmOrganValueSystemPo> customerValue = cmOrganValueSystemMapper.customerValue();

        // 更改上一阶段数据
        cmOrganValueSystemMapper.updateOrgan();

        log.info("插入--------------------------------》");
        for(CmOrganValueSystemPo organValueSystem: customerValue) {

            CmOrganValueSystemPo systemPo = new CmOrganValueSystemPo();
            // 判断用户活跃状态
            if(newAdd.contains(organValueSystem.getUserID())) {
                systemPo.setActiveState("新增用户");
            }
            if(active.contains(organValueSystem.getUserID())) {
                systemPo.setActiveState("活跃用户");
            }
            if(inactive.contains(organValueSystem.getUserID())) {
                systemPo.setActiveState("不活跃用户");
            }
            if(loss.contains(organValueSystem.getUserID())) {
                systemPo.setActiveState("流失用户");
            }
            if(backflow.contains(organValueSystem.getUserID())) {
                systemPo.setActiveState("回流用户");
            }
            if(loyal.contains(organValueSystem.getUserID())) {
                systemPo.setActiveState("忠诚用户");
            }
            if(silent.contains(organValueSystem.getUserID())) {
                systemPo.setActiveState("沉默用户");
            }

            // 判断客户价值
            // 距今时间
            Integer orderTimeDay = organValueSystem.getOrderTime();
            // 购买频率
            Double number = organValueSystem.getNumber()/24;
            // 交易金额
            Double payableAmount = organValueSystem.getPayableAmount()/24;
            if (orderTimeDay > 60 && number >= 1 && payableAmount < 100000) {
                systemPo.setCustomerValue("一般保持客户");
            }
            if (orderTimeDay < 60 && number < 1 && payableAmount < 100000) {
                systemPo.setCustomerValue("一般发展客户");
            }
            if (orderTimeDay < 60 && number >= 1 && payableAmount < 100000) {
                systemPo.setCustomerValue("一般价值客户");
            }
            if (orderTimeDay > 60 && number < 1 && payableAmount < 100000) {
                systemPo.setCustomerValue("一般挽留客户");
            }
            if (orderTimeDay > 60 && number >= 1 && payableAmount >= 100000) {
                systemPo.setCustomerValue("重要保持客户");
            }
            if (orderTimeDay < 60 && number < 1 && payableAmount >= 100000) {
                systemPo.setCustomerValue("重要发展客户");
            }
            if (orderTimeDay < 60 && number >= 1 && payableAmount >= 100000) {
                systemPo.setCustomerValue("重要价值客户");
            }
            if (orderTimeDay > 60 && number < 1 && payableAmount >= 100000) {
                systemPo.setCustomerValue("一般保持客户");
            }

            systemPo.setUserID(organValueSystem.getUserID());
            systemPo.setStage(0);
            systemPo.setDelType(1);

            // 添加新数据
            cmOrganValueSystemMapper.organBatch(systemPo);
        }
    }
}
