package com.caimei365.tools.service.impl;

import com.caimei365.tools.mapper.BaseMapper;
import com.caimei365.tools.model.po.SearchFrequencyVo;
import com.caimei365.tools.service.ProductService;
import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/10/26
 */
@Service
public class ProductServiceImpl implements ProductService {
    @Resource
    private BaseMapper baseMapper;

    /**
     * 统计关键词及次数
     * @param fromType
     * @param path
     * @param keyword
     * @return
     */
    @Override
    public void conKeyword(Integer fromType,String path,String keyword,String linkageFlag){
        Date date=new Date();
        SimpleDateFormat sd=new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        sd.format(date);
//        searchFrequency.setSearchTime(new java.sql.Timestamp(date.getTime()));
        Calendar cal = Calendar.getInstance();
        cal.setTime(date);
        //根据关键词和来源查询数据库是否存在（存在来源也相同时增加次数,存在但来源不同时和不存在则新增）
        List<SearchFrequencyVo> searchFrequencyVoList = baseMapper.getInfoBykeyword(keyword,fromType,0);
        if(null!= searchFrequencyVoList && searchFrequencyVoList.size()>0){
            //判断是否有加入关键词的（有则判断是否联动，无则搜索次数加1）
            List<SearchFrequencyVo> searchFrequencyVoAll = baseMapper.getInfoBykeyword(keyword,fromType,1);
            if(null!= searchFrequencyVoAll && searchFrequencyVoAll.size()>0){
                //判断是否是关键词联动搜索
                if(StringUtils.isNotEmpty(linkageFlag)&&"1".equals(linkageFlag)){
                    //联动次数加1，搜索次数重置，从新出现在关键词列表
                    Integer linkageFrequency=searchFrequencyVoAll.get(0).getLinkageFrequency()+1;
                    Integer frequency=0;
                    Integer delStatus=1;
                    baseMapper.uplinkageFrequencyById(searchFrequencyVoAll.get(0).getId(),linkageFrequency,frequency,delStatus);
                }
                else{
                    Integer frequency= searchFrequencyVoList.get(0).getFrequency()+1;
                    baseMapper.upFrequencyById(searchFrequencyVoList.get(0).getId(),frequency);
                }
            }else{
                Integer frequency= searchFrequencyVoList.get(0).getFrequency()+1;
                baseMapper.upFrequencyById(searchFrequencyVoList.get(0).getId(),frequency);
            }
        }else{
            //不存在 新增
            //判断是否联动
            //判断是否是关键词联动搜索
            List<SearchFrequencyVo> searchFrequencyVoAll = baseMapper.getInfoBykeyword(keyword,fromType,1);
            if(StringUtils.isNotEmpty(linkageFlag)&&"1".equals(linkageFlag)){
                //联动次数加1，搜索次数重置，从新出现在关键词列表
                Integer linkageFrequency=searchFrequencyVoAll.get(0).getLinkageFrequency()+1;
                Integer frequency=0;
                Integer delStatus=1;
                baseMapper.uplinkageFrequencyById(searchFrequencyVoAll.get(0).getId(),linkageFrequency,frequency,delStatus);
            }else{
                SearchFrequencyVo sea=new SearchFrequencyVo();
                sea.setKeyword(keyword);
                sea.setFrequency(1);
                sea.setLinkageFrequency(0);
                sea.setPath(path);
                sea.setFromSearch(fromType);
                sea.setSearchTime(new java.sql.Timestamp(cal.getTime().getTime()));
                baseMapper.saveInfo(sea);
            }
        }
    }
}
