package com.caimei365.tools.task;

import com.caimei365.tools.service.CmBehaviorRecordService;
import com.caimei365.tools.service.CmOrganValueSystemService;
import com.caimei365.tools.service.CmVipCouponService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

import javax.annotation.Resource;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/10/24
 */
@Slf4j
@Configuration
@EnableScheduling
@RequiredArgsConstructor
public class CmOrganValueSystemTask {

    @Resource private CmOrganValueSystemService cmOrganValueSystemService;

    @Resource private CmBehaviorRecordService cmBehaviorRecordService;

    @Resource private CmVipCouponService cmVipCouponService;

    /**
     * 每月一号更新用户活跃状态、用户价值
     */
    @Scheduled(cron = "0 15 0 1 * ?")
    public void organData(){
        cmOrganValueSystemService.insertOrgan();
    }

    /**
     * 每小时统计计算真实访问时长
     */
    @Scheduled(cron = "0 0 * * * ?")
    public void behaviorAccessDuration() {
        cmBehaviorRecordService.updateBehaviorTime();
    }

    /**
     * 每天修改前一天的符合条件的数据
     */
    @Scheduled(cron = "0 5 0 * * ?")
    public void updateBehavior() { cmBehaviorRecordService.updateBehaviorUser();}

    /**
     * 每天生成前一天的符用户行为列表数据
     */
    @Scheduled(cron = "0 15 0 * * ?")
    public void insertBehaviorUser() { cmBehaviorRecordService.insertBehaviorUser();}
    /**
     * 每个季度创建专属优惠券
     */
    @Scheduled(cron = "0 00 00 1 5,8,11,2 ?")
    public void svipCoupon() {
        cmVipCouponService.openCoupon();
    }
}
