package com.caimei365.tools.utils;


import com.caimei365.tools.model.dto.message.EmailMessage;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.mail.SimpleMailMessage;
import org.springframework.mail.javamail.JavaMailSender;
import org.springframework.stereotype.Component;


@Component
@Slf4j
public class EmailUtil {
    @Autowired
    private JavaMailSender mailSender;

    @Value("${spring.mail.username}")
    private String from;

    /**
     * 发送文本邮件
     *
     * @param receiverAddress 收件人地址
     * @param subject         邮件主题
     * @param content         邮件内容
     * @param cc              抄送地址
     */
    public void sendSimpleMail(EmailMessage emailMessage) {
        SimpleMailMessage message = new SimpleMailMessage();
        message.setFrom(from);
        message.setTo(emailMessage.receiverAddress());
        message.setSubject(emailMessage.subject());
        message.setText(emailMessage.emailMessageContent());
        message.setCc(emailMessage.cc());
        log.info("邮件发送参数---------------------->" + message);
        mailSender.send(message);
    }
}
